Bug 249346 - mail/thunderbird: update to esr78
Summary: mail/thunderbird: update to esr78
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Christoph Moench-Tegeder
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-09-15 17:40 UTC by Jan Beich
Modified: 2020-09-18 10:06 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gecko)


Attachments
v1 (78.2.2) (39.64 KB, application/x-xz)
2020-09-15 17:42 UTC, Jan Beich
no flags Details
v2 (78.2.2) (40.34 KB, application/x-xz)
2020-09-16 13:43 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-09-15 17:40:26 UTC
esr68 reaches EOL in 1 week. I've updated firefox-esr, so now it's time for thunderbird. After that Mk/bsd.gecko.mk can drop lang/python27 dependency.

Can someone test runtime and land (maybe 78.3.0 instead)? 2020Q4 is in ~2 weeks, so MFH isn't necessary.

Disclaimer: I don't use thunderbird, so only confirmed it doesn't crash on startup.
Comment 1 Jan Beich freebsd_committer 2020-09-15 17:42:43 UTC
Created attachment 217977 [details]
v1 (78.2.2)

Oops, bugzilla silently dropped > 1000 Kb patch.
Comment 2 Christoph Moench-Tegeder freebsd_committer 2020-09-15 19:54:01 UTC
guess what I was working on... I'll give your patch a spin, mine isn't ready.
Comment 3 Christoph Moench-Tegeder freebsd_committer 2020-09-16 08:24:36 UTC
looks like "mail" in this thunderbird isn't working (yes, this is a new profile - importing an old profile seems bumpy, we'll need an UPDATING entry for that, once we're there).
Anyways, trying to configure a new mail account yields... nothing (just try setting up "Email" from the start page) and thunderbird logs
  JavaScript error: chrome://messenger/content/accountUtils.js, line 237: NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIMsgMailSession.topmostMsgWindow]
but does not show any relevant window; I get the same nonresult via menu Edit/Account Settings, Account Actions->Add Mail Account. Also, menu Edit/Preferences does nothing but logs
  Error: No such tab mode: preferencesTab
  -- Exception object --
  *
  -- Stack Trace --
  openTab@chrome://messenger/content/tabmail.js:926:17
  openTab@chrome://communicator/content/utilityOverlay.js:267:22
  openPreferencesTab@chrome://communicator/content/utilityOverlay.js:322:10
  openOptionsDialog@chrome://messenger/content/mailCore.js:558:21
  oncommand@chrome://messenger/content/messenger.xhtml:1:1

(thunderbird built in poudriere on top of yesterday's ports r548748; 12.1 amd64)
Comment 4 Jan Beich freebsd_committer 2020-09-16 13:43:27 UTC
Created attachment 218005 [details]
v2 (78.2.2)

Let's apply some changes from https://marc.info/?l=openbsd-ports&m=159887318127176
- Switch to system libbz2, json-c, botan2 (unbreaks FreeBSD 11.*)
- Backport --disable-updater UI fix
Comment 5 Christoph Moench-Tegeder freebsd_committer 2020-09-17 17:34:22 UTC
OK, I think this might work ("tested" against gmail and a real imap server). I'll think of some UPDATING ("backup the old profile, best to start fresh anyways, see wiki for smartcard support") - tomorrow or so - and commit this. friggin $WORK mail, I'd be much happier if I could get along with mutt alone.
Comment 6 commit-hook freebsd_committer 2020-09-18 10:02:40 UTC
A commit references this bug:

Author: cmt
Date: Fri Sep 18 10:02:26 UTC 2020
New revision: 548882
URL: https://svnweb.freebsd.org/changeset/ports/548882

Log:
  update mail/thunderbird to 78.2.2

  See https://support.mozilla.org/en-US/kb/new-thunderbird-78 for major
  changes in Thunderbird 78, the release announcement in
  https://blog.thunderbird.net/2020/07/whats-new-in-thunderbird-78/ and
  https://blog.thunderbird.net/2020/09/openpgp-in-thunderbird-78/ info
  for OpenPGP users. Also check UPDATING 20200918.
  Current release notes are in
  https://www.thunderbird.net/en-US/thunderbird/78.2.2/releasenotes/

  PR:		249346
  Submitted by:	jbeich

Changes:
  head/UPDATING
  head/mail/thunderbird/Makefile
  head/mail/thunderbird/distinfo
  head/mail/thunderbird/files/patch-browser-app-nsBrowserApp.cpp
  head/mail/thunderbird/files/patch-bug1269654_comment5
  head/mail/thunderbird/files/patch-bug1288587
  head/mail/thunderbird/files/patch-bug1504834_comment10
  head/mail/thunderbird/files/patch-bug1504834_comment5
  head/mail/thunderbird/files/patch-bug1504834_comment9
  head/mail/thunderbird/files/patch-bug1550891
  head/mail/thunderbird/files/patch-bug1602730_comment5
  head/mail/thunderbird/files/patch-bug1612181_comment1
  head/mail/thunderbird/files/patch-bug1612184
  head/mail/thunderbird/files/patch-bug1618914
  head/mail/thunderbird/files/patch-bug1624128
  head/mail/thunderbird/files/patch-bug1626236
  head/mail/thunderbird/files/patch-bug1628567
  head/mail/thunderbird/files/patch-bug1640982
  head/mail/thunderbird/files/patch-bug1659612
  head/mail/thunderbird/files/patch-bug1664607
  head/mail/thunderbird/files/patch-bug726479
  head/mail/thunderbird/files/patch-bug847568
  head/mail/thunderbird/files/patch-cubeb-dlopen
  head/mail/thunderbird/files/patch-cubeb-oss
  head/mail/thunderbird/files/patch-cubeb-sndio
  head/mail/thunderbird/files/patch-dom_media_flac_FlacDecoder.cpp
  head/mail/thunderbird/files/patch-freebsd11.3
  head/mail/thunderbird/files/patch-gfx_skia_skia_src_core_SkCpu.cpp
Comment 7 Christoph Moench-Tegeder freebsd_committer 2020-09-18 10:06:15 UTC
There we are. No MFH - next quarterly is close, and we'll let this get some exposure in head until then.